﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS794D (1 yr) DCV Meas Acc IEEE /5800
INSTRUMENT:            Sub TDS794D (1 yr) Output Signal IEEE /5800
DATE:                  2009-11-24 10:35:49
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       14
NUMBER OF LINES:       272
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 700D
#          TDS 794D
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        58_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        58_4ck_2.jpg      Picture: DC Volts Connection - Channel 2
#        58_4ck_3.jpg      Picture: DC Volts Connection - Channel 3
#        58_4ck_4.jpg      Picture: DC Volts Connection - Channel 4
#        58_4ck99.jpg      Picture: DC Volts Connection - Channel 1,2,3 and 4
#        58_4ck_6.jpg      Picture: Main Trigger Out
#        58_4ck_7.jpg      Picture: Delay Trigger Out
#        58_4ck_8.jpg      Picture: Signal/Source Out Test
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DCV_MEAS_ACC                 PSUBI("DCV Meas Acc")
  1.002  JMPL         OUTPUT_SIGNAL                PSUBI("Output Signal")
  1.003  DISP         {Undefined subprocedure!}
  1.004  END

  1.005  EVAL   Increment step number

# ******************************* DCV Meas Acc *****************************

  2.001  LABEL        DCV_MEAS_ACC

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =DC VOLTAGE MEASUREMENT ACCURACY
  2.005  ENDIF

  2.006  CALL         Sub TDS500/600/700 Channel Name
  2.007  RSLT         =
  2.008  RSLT         = [V @ChanName]

  2.009  HEAD         DC VOLTAGE MEASUREMENT ACCURACY (CH [V @Chan])
  2.010  RSLT         =
  2.011  HEAD         -2{ 10 mV/div}
  2.012  TARGET       -p
  2.013  CALL         Sub TDS500/600/700 Select Channel IEEE

  2.014  IF           @SourceChanNum == 1
  2.015  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL

  2.016  IF           @Chan == 1
  2.017  PIC          58_4ck_1.jpg
  2.018  DISP         The next routine operator intervention occurs
  2.018  DISP         in approximately 2 minutes ...

  2.019  ELSE         ; Channel 2, 3, 4

  2.020  IF           @Chan == 2
  2.021  PIC          58_4ck_2.jpg
  2.022  ELSEIF       @Chan == 3
  2.023  PIC          58_4ck_3.jpg
  2.024  ELSE
  2.025  PIC          58_4ck_4.jpg
  2.026  ENDIF

  2.027  MATH         Time = 2 + @TestOptBW * @OptChBWTime
  2.028  MATH         Time = Time + @TestCh234Sens * @OptChSensTime
  2.029  DISP         The next routine operator intervention occurs
  2.029  DISP         in approximately [V Time] minutes ...
  2.030  ENDIF

  2.031  ELSEIF       (@Chan == 1) && (@SourceChanNum > 1)
  2.032  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  2.033  PIC          58_4ck99.jpg
  2.034  DISP         The next routine operator intervention occurs
  2.034  DISP         in approximately 5 minutes ...
  2.035  ENDIF

  2.036  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.037  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE MEAN;STATE ON
  2.038  IEEE2        CH[V @Chan]:SCA 10E-3;POS -5;OFFS +0.5
  2.039  TSET         TDESC = 580.0 mV Level, 500 mV Offset, -5 div Position
  2.040  5800         580.0mV                                        S6 S
  2.041  WAIT         -t 10 System Settling ...
  2.042  TARGET       -m
  2.043  IEEE2        MEASU:MEAS1:VAL?[I]
  2.044  MATH         MEM = MEM / 1E-3
  2.045  MEMCX        580.0mV        4.5U

  3.001  IEEE2        CH[V @Chan]:POS 5;OFFS -0.5
  3.002  TSET         TDESC = -580.0 mV Level, -500 mV Offset, +5 div Position
  3.003  5800         -580.0mV                                       S6 S
  3.004  WAIT         -t 10 System Settling ...
  3.005  TARGET       -m
  3.006  IEEE2        MEASU:MEAS1:VAL?[I]
  3.007  MATH         MEM = MEM / 1E-3
  3.008  MEMCX        -580.0mV       4.5U

  4.001  RSLT         =
  4.002  HEAD         -2{ 200 mV/div}
  4.003  TARGET       -p
  4.004  IEEE2        CH[V @Chan]:SCA 200E-3;POS 0;OFFS +5
  4.005  TSET         TDESC = 5 V Level, 5 V Offset, 0 div Position
  4.006  5800         5.0000V                                        S6 S
  4.007  WAIT         -t 10 System Settling ...
  4.008  TARGET       -m
  4.009  IEEE2        MEASU:MEAS1:VAL?[I]
  4.010  MEMCX        5.0000V        0.0595U

  5.001  IEEE2        CH[V @Chan]:POS 0;OFFS -5
  5.002  TSET         TDESC = -5 V Level, -5 V Offset, 0 div Position
  5.003  5800         -5.000V                                        S6 S
  5.004  WAIT         -t 10 System Settling ...
  5.005  TARGET       -m
  5.006  IEEE2        MEASU:MEAS1:VAL?[I]
  5.007  MEMCX        -5.0000V       0.0595U

  6.001  RSLT         =
  6.002  HEAD         -2{ 1 V/div}
  6.003  TARGET       -p
  6.004  IEEE2        CH[V @Chan]:SCA 1;POS 0;OFFS +2.5
  6.005  TSET         TDESC = 5 V Level, 2.5 V Offset, 0 div Position
  6.006  5800         5.000V                                         S6 S
  6.007  WAIT         -t 10 System Settling ...
  6.008  TARGET       -m
  6.009  IEEE2        MEASU:MEAS1:VAL?[I]
  6.010  MEMCX        5.000V         0.206U

  7.001  IEEE2        CH[V @Chan]:POS 0;OFFS -2.5
  7.002  TSET         TDESC = -5 V Level, -2.5 V Offset, 0 div Position
  7.003  5800         -5.000V                                        S6 S
  7.004  WAIT         -t 10 System Settling ...
  7.005  TARGET       -m
  7.006  IEEE2        MEASU:MEAS1:VAL?[I]
  7.007  MEMCX        -5.000V        0.206U

  8.001  HEAD         -2
  8.002  5800         *                                                 S
  8.003  END

  8.004  EVAL   Increment step number

# ************************** Output Signal *********************************

  9.001  LABEL        OUTPUT_SIGNAL
  9.002  RSLT         =
  9.003  HEAD         {OUTPUT SIGNAL CHECKS}
  9.004  RSLT         =
  9.005  HEAD         -2{ Main Trigger Output, 50 Ohm Impedance}
  9.006  TARGET
  9.007  MATH         @Chan = 3
  9.008  CALL         Sub TDS500/600/700 Select Channel IEEE
  9.009  IEEE2        HOR:MAI:SCA 200.0E-6
  9.010  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
  9.011  IEEE2        TRIG:MAI:EDGE:SOU CH3

  9.012  DO
  9.013  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  9.014  PIC          58_4ck_6.jpg
# Note: We discovered that the manual was incorrect on the output of the
# test signal.  Instead of 0.500 Volts DC, the output should be 0.500 volts
# peak to peak square wave.  This was verified by Tektronix.
  9.015  5800         500mVpp                      1kH            SQ S6 S  L
  9.016  IEEE2        TRIG:MAI SETL
# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
  9.017  MATH         @TriggeredChkTimes = 3
  9.018  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  9.019  IF           NOT(@Triggered)
  9.020  DISP         The UUT is not triggered!
  9.020  DISP         Check connections.
  9.021  ENDIF

  9.022  UNTIL        @Triggered

  9.023  IEEE2        SELECT:CH3 OFF;CH2 ON
  9.024  IEEE2        CH2:SCA 500E-3;POS -2.0
  9.025  IEEE2        MEASU:METH MINM
  9.026  IEEE2        ACQ:MODE AVE;NUMAV 64;STATE RUN
  9.027  IEEE2        MEASU:MEAS1:SOU CH2;TYPE HIGH;STATE ON
  9.028  IEEE2        MEASU:MEAS2:SOU CH2;TYPE LOW;STATE ON
  9.029  5800         500mVpp                      1kH            SQ S6 S  L
  9.030  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
  9.031  MATH         Result = FMT(MEM, "%.1f") & " V"
  9.032  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
  9.033  EVAL   -e MEM >= 1.0 : [MEM2]

 10.001  5800         500mVpp                      1kH            SQ S6 S  L
 10.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 10.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 10.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
 10.005  EVAL   -e MEM <= 0.25 : [MEM2]

 11.001  RSLT         =
 11.002  HEAD         -2{ Delayed Trigger Output, 50 Ohm Impedance}
 11.003  TARGET
 11.004  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 11.005  PIC          58_4ck_7.jpg
 11.006  5800         500mVpp                      1kH            SQ S6 S  L
 11.007  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 11.008  MATH         Result = FMT(MEM, "%.1f") & " V"
 11.009  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
 11.010  EVAL   -e MEM >= 1.0 : [MEM2]

 12.001  IEEE2        MEASU:IMMED:TYPE LOW
 12.002  5800         500mVpp                      1kH            SQ S6 S  L
 12.003  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 12.004  MATH         Result = FMT(MEM, "%.1f") & " V"
 12.005  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
 12.006  EVAL   -e MEM <= 0.25 : [MEM2]
 13.001  IEEE2        MEASU:MEAS1:STATE OFF
 13.002  IEEE2        MEASU:MEAS2:STATE OFF

 13.003  RSLT         =
 13.004  HEAD         -2{ Signal Output, 50 Ohm Impedance}
 13.005  TARGET
 13.006  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 13.007  PIC          58_4ck_8.jpg
 13.008  IEEE2        CH2:SCA 100E-3;POS 0.0
 13.009  IEEE2        TRIG:MAI:EDGE:SOU CH3
 13.010  IEEE2        MEASU:MEAS1:SOU CH2;TYPE PK2P;STATE ON
 13.011  5800         500mVpp                      1kH            SQ S6 S  L
 13.012  IEEE2        TRIG:MAI SETL
 13.013  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 13.014  MATH         MEM = MEM / 1E-3
 13.015  MATH         Result = FMT(MEM, "%.0f") & " mV"
 13.016  MEM2         = Signal Output: [V Result], Bounds: 44 mV to 66 mV
 13.017  EVAL   -e (MEM >= 44) && (MEM <= 66) : [MEM2]

 14.001  5800         *                                                 S
 14.002  HEAD         -2
 14.003  END

